apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: "sts-secret"
spec:
  refreshInterval: "1h"
  target:
    name: sts-secret
  dataFrom:
  - sourceRef:
      generatorRef:
        apiVersion: generators.external-secrets.io/v1alpha1
        kind: STSSessionToken
        name: "sts-gen"
